apply plugin: 'com.android.library'

android {
    compileSdkVersion 26
    buildToolsVersion '28.0.3'

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"

        renderscriptTargetApi 26
        renderscriptSupportModeEnabled true
    }

    sourceSets {
        main {
            manifest.srcFile 'src/main/AndroidManifest.xml'
            java.srcDirs = ['src/main/java']
            res.srcDirs = ['src/main/res', 'src/main/res-avchat']
            jniLibs.srcDirs = ['libs']
        }
    }

}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:26.+'
    implementation 'com.android.support:recyclerview-v7:26.+'
    implementation 'com.android.support:design:26.+'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
    implementation 'com.github.bumptech.glide:glide:4.2.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.2.0'
    implementation 'jp.wasabeef:glide-transformations:3.0.1'
    implementation project(':faceunity')
    implementation 'com.netease.nimlib:basesdk:5.4.0'
    implementation 'com.netease.nimlib:nrtc:5.4.0'
    implementation 'com.netease.nimlib:avchat:5.4.0'
    implementation 'com.netease.nimlib:rts:5.4.0'
    implementation group: 'com.alibaba', name: 'fastjson', version: '1.1.34.android'
}
